textproc/p5-Data-FormValidator - The NetBSD Packages Collection

Validates user input based on input profile

Data::FormValidator's main aim is to make input validation expressible in a
simple format.

Data::FormValidator lets you define profiles which declare the required and
optional fields and any constraints they might have.

The results are provided as an object which makes it easy to handle missing
and invalid results, return error messages about which constraints failed, or
process the resulting valid data.

Build dependencies

www/p5-CGI pkgtools/cwrappers

Runtime dependencies

devel/p5-Date-Calc mail/p5-Email-Valid misc/p5-File-MMagic graphics/p5-Image-Size mail/p5-MIME-Types devel/p5-Perl6-Junction textproc/p5-Regexp-Common lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0earmv7hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0earmv7hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0i386p5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0i386p5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0i386p5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0powerpcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0powerpcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0powerpcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0x86_64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 8.0x86_64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0aarch64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0aarch64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0aarch64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0alphap5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0alphap5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0alphap5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv6hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv6hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv6hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv6hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv7hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv7hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv7hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0earmv7hfp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0i386p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0i386p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0mips64ebp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0mips64ebp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0mips64ebp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0mipselp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0mipselp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0powerpcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0powerpcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sh3elp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sh3elp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sparc64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sparc64p5-Data-FormValidator-4.88nb2.tgz
NetBSD 9.0sparc64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sparc64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sparcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sparcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0sparcp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0vaxp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0vaxp5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0x86_64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0x86_64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0x86_64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0x86_64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0x86_64p5-Data-FormValidator-4.88nb3.tgz
NetBSD 9.0x86_64p5-Data-FormValidator-4.88nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.